Python
import os
from scale_gp import SGPClient
client = SGPClient(
api_key=os.environ.get("SGP_API_KEY"), # This is the default and can be omitted
)
upload_schedule = client.knowledge_bases.upload_schedules.update(
upload_schedule_id="upload_schedule_id",
knowledge_base_id="knowledge_base_id",
)
print(upload_schedule.id)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/sgp-go"
"github.com/stainless-sdks/sgp-go/option"
)
func main() {
client := sgp.NewClient(
option.WithAPIKey("My API Key"),
)
uploadSchedule, err := client.KnowledgeBases.UploadSchedules.Update(
context.TODO(),
"knowledge_base_id",
"upload_schedule_id",
sgp.KnowledgeBaseUploadScheduleUpdateParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", uploadSchedule.ID)
}
curl --request PATCH \
--url https://api.egp.scale.com/v4/knowledge-bases/{knowledge_base_id}/upload-schedules/{upload_schedule_id} \
--header 'Content-Type: application/json' \
--data '
{
"chunking_strategy_config": {
"strategy": "character",
"separator": "\n\n",
"chunk_size": 1000,
"chunk_overlap": 200
},
"interval": 123,
"next_run_at": "2023-11-07T05:31:56Z"
}
'const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
chunking_strategy_config: {strategy: 'character', separator: '\n\n', chunk_size: 1000, chunk_overlap: 200},
interval: 123,
next_run_at: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.egp.scale.com/v4/knowledge-bases/{knowledge_base_id}/upload-schedules/{upload_schedule_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"knowledge_base_id": "<string>",
"knowledge_base_data_source_id": "<string>",
"chunking_strategy_config": {
"strategy": "character",
"separator": "\n\n",
"chunk_size": 1000,
"chunk_overlap": 200
},
"status": "HEALTHY",
"interval": 123,
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"created_by_user_id": "<string>",
"created_by_identity_type": "user",
"account_id": "<string>",
"status_reason": "<string>",
"next_run_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Knowledge Bases
Update Upload Schedule
Description
Updates a upload schedule
Details
This API can be used to update the upload schedule that matches the ID that was passed in as a path parameter. To use this API, pass in the id that was returned from your Create Upload Schedule API call as a path parameter.
Review the request schema to see the fields that can be updated.
PATCH
/
v4
/
knowledge-bases
/
{knowledge_base_id}
/
upload-schedules
/
{upload_schedule_id}
Python
import os
from scale_gp import SGPClient
client = SGPClient(
api_key=os.environ.get("SGP_API_KEY"), # This is the default and can be omitted
)
upload_schedule = client.knowledge_bases.upload_schedules.update(
upload_schedule_id="upload_schedule_id",
knowledge_base_id="knowledge_base_id",
)
print(upload_schedule.id)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/sgp-go"
"github.com/stainless-sdks/sgp-go/option"
)
func main() {
client := sgp.NewClient(
option.WithAPIKey("My API Key"),
)
uploadSchedule, err := client.KnowledgeBases.UploadSchedules.Update(
context.TODO(),
"knowledge_base_id",
"upload_schedule_id",
sgp.KnowledgeBaseUploadScheduleUpdateParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", uploadSchedule.ID)
}
Body
application/json
Response
Successful Response
- CharacterChunkingStrategyConfig
- TokenChunkingStrategyConfig
- CustomChunkingStrategyConfig
- PreChunkedStrategyConfig
- EnhancedChunkingStrategyConfig
Show child attributes
Show child attributes
Available options:
HEALTHY, UNHEALTHY, ERROR, PAUSED The unique identifier of the entity.
The date and time when the entity was created in ISO format.
The date and time when the entity was last updated in ISO format.
The user who originally created the entity.
The type of identity that created the entity.
Available options:
user, service_account The ID of the account that owns the given entity.

